package com.zzys.lightting.music.service.impl;

import com.zzys.lightting.music.dao.model.MusicType;
import com.zzys.lightting.music.dao.repository.MusicTypeRepository;
import com.zzys.lightting.music.service.MusicTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:zzf
 * @Date:2024/5/23:14:58
 * @Description:
 */
@Service
public class MusicTypeServiceImpl implements MusicTypeService {
    @Autowired
    private MusicTypeRepository repository;
    @Override
    public void save(MusicType type) {
        this.repository.save(type);
    }

    @Override
    public void deleteByMusicId(String id) {
        this.repository.deleteByMusicId(id);
    }

    @Override
    public List<String> findMusicIdByTypeId(String typeId) {
        return this.repository.findMusicIdByTypeId(typeId);
    }
}
