package com.zzys.lightting.music.service.impl;

import com.zzys.lightting.music.dao.model.TypeInfo;
import com.zzys.lightting.music.dao.repository.TypeRepository;
import com.zzys.lightting.music.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:zzf
 * @Date:2024/5/23:09:43
 * @Description:
 */
@Service
public class TypeServiceImpl implements TypeService {
    @Autowired
    private TypeRepository repository;
    @Override
    public List<TypeInfo> findAll() {
        return this.repository.findAll();
    }

    @Override
    public void deleteById(String id) {
        this.repository.deleteById(id);
    }
}
