package com.zzys.lightting.user.service.impl;

import com.zzys.lightting.user.dao.model.UserPhotoInfo;
import com.zzys.lightting.user.dao.repository.UserPhotoRepository;
import com.zzys.lightting.user.service.UserPhotoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author:zzf
 * @Date:2024/5/24:09:16
 * @Description:
 */
@Service
public class UserPhotoServiceImpl implements UserPhotoService {
    @Autowired
    private UserPhotoRepository repository;


    @Override
    public UserPhotoInfo findByUserId(String userId) {
        return this.repository.findByUserId(userId);
    }

    @Override
    public UserPhotoInfo save(UserPhotoInfo entity) {
        return this.repository.save(entity);
    }
}
