package com.zzys.lightting.template.rest;

import com.alibaba.fastjson.JSONObject;
import com.zzys.lightting.base.rest.BaseController;
import com.zzys.lightting.template.dao.model.TemplateMusicInfo;
import com.zzys.lightting.template.service.TemplateMusicService;
import com.zzys.lightting.utils.Result;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author:zzf
 * @Date:2024/5/23:16:37
 * @Description:
 */
@Slf4j
@RestController
@RequestMapping("/templateMusic")
@Api(tags = "模板-音乐管理")
public class TemplateMusicController extends BaseController {

    @Autowired
    private TemplateMusicService service;

    public Result save(@RequestBody String json){
        TemplateMusicInfo info = JSONObject.parseObject(json).toJavaObject(TemplateMusicInfo.class);
        info = this.service.save(info);
        return success(info);
    }
}
