package com.zzys.lightting.template.service.impl;

import com.zzys.lightting.template.dao.model.TemplateInfo;
import com.zzys.lightting.template.dao.repository.TemplateRepository;
import com.zzys.lightting.template.service.TemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:zzf
 * @Date:2024/5/23:16:27
 * @Description:
 */
@Service
public class TemplateServiceImpl implements TemplateService {
    @Autowired
    private TemplateRepository repository;
    @Override
    public void save(TemplateInfo templateInfo) {
        this.repository.save(templateInfo);
    }

    @Override
    public void deleteById(String id) {
        this.repository.deleteById(id);
    }

    @Override
    public List<TemplateInfo> findByUserId(String userId) {
        return this.findByUserId(userId);
    }
}
