package com.zzys.lightting.utils;


/**
 * 状态码
 * @author zsy
 */
public interface HttpStatus {
    /**
     * 返回成功
     */
    String SUCCESS = "200";

    /**
     * 运行时返回异常未查询到相应对象时返回或对象已存在时
     */
    String RUNTIME_EXCEPTION = "2001";

    /**
     * 服务器内部错误
     */
    String SERVER_EXCEPTION = "500100";

    /**
     * 输入参数为空
     */
    String PARAMETER_ISNULL = "500101";
}